summaryrefslogtreecommitdiffstats
path: root/tests/dimension/demo.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2009-11-04 14:44:09 -0500
committerTavian Barnes <tavianator@gmail.com>2009-11-04 14:44:09 -0500
commit5bde27bf4b3064a94131b71019469464023a6f63 (patch)
treea4d4e0c287628207fea892ce5c736f728582d00d /tests/dimension/demo.sh
parent92efb5d0d7ba0c2b49cf189d5055bc0d9b09994c (diff)
downloaddimension-5bde27bf4b3064a94131b71019469464023a6f63.tar.xz
Handle spheres.
Diffstat (limited to 'tests/dimension/demo.sh')
-rwxr-xr-xtests/dimension/demo.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/dimension/demo.sh b/tests/dimension/demo.sh
new file mode 100755
index 0000000..7674fd4
--- /dev/null
+++ b/tests/dimension/demo.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009 Tavian Barnes <tavianator@gmail.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+demo=$(${top_builddir}/dimension/dimension --tokenize --parse ${srcdir}/demo.pov)
+demo_exp='(box { < - (float "1.0") , - (float "1.0") , - (float "1.0") > , < (float "1.0") , (float "1.0") , (float "1.0") > } sphere { < (integer "0") , (integer "0") , (integer "0") > , (float "1.25") })
+((box (vector (float -1) (float -1) (float -1)) (vector (float 1) (float 1) (float 1))) (sphere (vector (float 0) (float 0) (float 0)) (float 1.25)))'
+
+if [ "$demo" != "$demo_exp" ]; then
+ echo "demo.pov parsed as \"$demo\"" >&2
+ echo " -- expected \"$demo_exp\"" >&2
+ exit 1
+fi
+
+${top_builddir}/dimension/dimension -o demo.png ${srcdir}/demo.pov